## vision-drivers 0~git202503130554.feab312c

=== Makefile ===
# SPDX-License-Identifier: GPL-2.0-only
# Copyright (c) 2024 Intel Corporation.

obj-m += intel_cvs.o
intel_cvs-y := drivers/misc/icvs/intel_cvs.o drivers/misc/icvs/intel_cvs_update.o

KERNELRELEASE ?= $(shell uname -r)
KERNEL_SRC ?= /lib/modules/$(KERNELRELEASE)/build
PWD := $(shell pwd)

ccflags-y += -I$(src)/include/

all:
	$(MAKE) -C $(KERNEL_SRC) M=$(PWD) modules

modules_install:
	$(MAKE) INSTALL_MOD_DIR=/updates -C $(KERNEL_SRC) M=$(PWD) modules_install

clean:
	$(MAKE) -C $(KERNEL_SRC) M=$(PWD) clean

## vision-drivers 0~git202408091833.02081ea4

=== debian/changelog ===
vision-drivers (0~git202408091833.02081ea4-0ubuntu2) oracular; urgency=medium

  * copyright: Fix license for debian/, and copyright years for Intel.
  * control: Update Vcs entries.
  * control: Bump standards to 4.7.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 03 Sep 2024 11:53:54 +0300

vision-drivers (0~git202408091833.02081ea4-0ubuntu1) oracular; urgency=low

  [ You-Sheng Yang ]
  * Initial upstream WW33.3_ARL_Vision_Post_Beta release. (LP: #2078327)
  * debianize
    - dkms: use debian package version as PACKAGE_VERSION
    - dkms: add BUILD_EXCLUSIVE_CONFIG

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Thu, 29 Aug 2024 17:43:24 +0800

=== debian/control ===
Source: vision-drivers
Section: kernel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: You-Sheng Yang <vicamo.yang@canonical.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-modaliases,
 dkms,
 dh-sequence-dkms,
 quilt,
Standards-Version: 4.7.0
Homepage: https://github.com/intel/vision-drivers
Vcs-Browser: https://code.launchpad.net/~vicamo/ubuntu/+source/vision-drivers/+git/vision-drivers
Vcs-Git: https://code.launchpad.net/~vicamo/ubuntu/+source/vision-drivers/+git/vision-drivers

Package: intel-vision-dkms
Architecture: amd64
Depends:
 dkms,
 ${misc:Depends},
Provides: icvs-modules
XB-Modaliases: ${modaliases}
Description: Intel Vision Driver on CVS-enabled Platforms
 This package provides kernel drivers for Intel Computer Vision System (CVS)
 on Intel Lunar Lake or later platforms.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
include /usr/share/dpkg/pkg-info.mk

DKMS_PACKAGE_NAME = $(shell grep '^PACKAGE_NAME=' dkms.conf | cut -d\" -f2)
DKMS_PACKAGE_VERSION = $(DEB_VERSION)

generated_dkms_files = \
  debian/intel-vision-dkms.install \
  $(empty)

%:
	dh $@ --with modaliases

override_dh_auto_configure:
override_dh_auto_build:
override_dh_auto_test:
override_dh_auto_install:
override_dh_auto_clean:

override_dh_dkms: dkms.conf
	dh_dkms -V $(DKMS_PACKAGE_VERSION) -- dkms.conf

override_dh_install: debian/intel-vision-dkms.install
	dh_install --exclude=.gitignore

override_dh_clean:
	-rm -f $(generated_dkms_files)
	dh_clean

$(generated_dkms_files) : $(generated_dkms_files:=.in) debian/rules
	sed -e 's,@DKMS_PACKAGE_NAME@,$(DKMS_PACKAGE_NAME),g' \
	    -e 's,@DKMS_PACKAGE_VERSION@,$(DKMS_PACKAGE_VERSION),g' \
	    <$(@:=.in) >$@

## vision-drivers 0~git202503130554.feab312c

=== debian/changelog ===
vision-drivers (0~git202503130554.feab312c-0ubuntu2~25.04.1) plucky; urgency=medium

  * Privacy LED may not be turned on on OEM Renegade platform with Intel IPU7
    camera (LP: #2106807)
    - drivers: icvs: set pivacy led bit to zero

 -- You-Sheng Yang <vicamo@gmail.com>  Fri, 25 Apr 2025 15:03:30 +0800

vision-drivers (0~git202503130554.feab312c-0ubuntu1) plucky; urgency=medium

  * New upstream ww10_25_ptl_post_alpha tag release (LP: #2106502)

 -- You-Sheng Yang <vicamo@gmail.com>  Wed, 09 Apr 2025 01:07:19 +0800

vision-drivers (0~git202412180414.6b1462d8-0ubuntu1) plucky; urgency=medium

  * New upstream ww51.2_24_pub_ptl_post_alpha tag release (LP: #2100823)
    - drop already upstreamed
      d/p/0003-cvs-Update-cvs-with-deferred-probing-solution.patch

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 04 Mar 2025 12:49:51 +0800

vision-drivers (0~git202408091833.02081ea4-0ubuntu3) plucky; urgency=medium

  * Failed to probe for OVTI02C1: chip id mismatch: 560243!=0 (LP: #2090932)
    - cvs: Update cvs with deferred probing solution
  * debian: update Vcs info
  * dkms: use upstream version as dkms version

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Wed, 11 Dec 2024 02:38:33 +0800

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  quilt,
 Standards-Version: 4.7.0
 Homepage: https://github.com/intel/vision-drivers
-Vcs-Browser: https://code.launchpad.net/~vicamo/ubuntu/+source/vision-drivers/+git/vision-drivers
-Vcs-Git: https://code.launchpad.net/~vicamo/ubuntu/+source/vision-drivers/+git/vision-drivers
+Vcs-Browser: https://git.launchpad.net/ubuntu/+source/vision-drivers
+Vcs-Git: https://git.launchpad.net/ubuntu/+source/vision-drivers
 
 Package: intel-vision-dkms
 Architecture: amd64

## vision-drivers 0~git202506061730.92a717e0

=== drivers/misc/icvs/Makefile ===
# SPDX-License-Identifier: GPL-2.0-only
# Copyright (c) 2024 Intel Corporation.

obj-$(CONFIG_INTEL_CVS)	+= intel_cvs.o
obj-$(CONFIG_INTEL_CVS)	+= intel_cvs_update.o

=== debian/changelog ===
vision-drivers (0~git202506061730.92a717e0-0ubuntu1) questing; urgency=medium

  * New upstream ww23_25_ptl_post_Beta_Vision tag release (LP: #2101850)
    - Drop upstreamed patch
      - debian/patches/set-pivacy-led-bit-to-zero.patch

 -- You-Sheng Yang <vicamo@gmail.com>  Fri, 11 Jul 2025 00:17:56 +0800

vision-drivers (0~git202503130554.feab312c-0ubuntu2) questing; urgency=medium

  * Privacy LED may not be turned on on OEM Renegade platform with Intel IPU7
    camera (LP: #2106807)
    - drivers: icvs: set pivacy led bit to zero

 -- You-Sheng Yang <vicamo@gmail.com>  Fri, 25 Apr 2025 15:03:30 +0800

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/dpkg/pkg-info.mk
 
 DKMS_PACKAGE_NAME = $(shell grep '^PACKAGE_NAME=' dkms.conf | cut -d\" -f2)
-DKMS_PACKAGE_VERSION = $(DEB_VERSION)
+DKMS_PACKAGE_VERSION = $(DEB_VERSION_UPSTREAM)
 
 generated_dkms_files = \
   debian/intel-vision-dkms.install \

## vision-drivers 0~git202511121832.a8d772f2

=== debian/changelog ===
vision-drivers (0~git202511121832.a8d772f2-0ubuntu1) resolute; urgency=medium

  * New upstream WW46.3_25_ptl_pv tag release (LP: #2134604)

  * Fix build failures against old kernels
    - backport: fix build against kernels < v6.11
    - backport: fix build against kernels < v6.3
    - backport: fix build against kernels < v6.1
    - dkms: specify BUILD_EXCLUSIVE_KERNEL_MIN

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 16 Dec 2025 18:02:32 +0800
